
function AppComponent(data) {
	let component, elem;
	const store = data.store;

	function construct() {
		component = new Component(data);
		elem = component.elem;
		bind();
		update();
	}

	function update() {
		component.data.text = store.getText();
		component.update();
	}

	function enter() {}
	function exit() {}

	function destroy() {
		unbind();
	}

	////////////////////////////////////////////////////////////////

	function bind() {
		store.on('text', update);
	}
	function unbind() {
		store.off('text', update);
	}

	////////////////////////////////////////////////////////////////

	construct();
	return { elem, data, update, enter, exit, destroy };
}
